Payout schedules

View and manage payout schedules for your sub-entities.

Retrieve a sub-entity's payout schedule

You can schedule when your sub-entities receive their funds using our Platforms solution. Use this endpoint to retrieve information about a sub-entity's schedule.

Path Parameters
  • id
    Type: string
    required

    The ID of the sub-entity

Responses
  • application/json
  • 401

    Unauthorized.

  • 404

    Sub-entity not found, or scheduled payouts are not available to the sub-entity.

  • 422

    Invalid data sent.

  • 429

    Too many requests.

Request Example for get/accounts/entities/{id}/payout-schedules
curl 'https://{prefix}.api.sandbox.checkout.com/accounts/entities/ent_w4jelhppmfiufdnatam37wrfc4/payout-schedules' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "GBP": {
    "recurrence": {
      "enabled": true,
      "threshold": 100,
      "payment_instrument_id": "ppi_w4jelhppmfiufdnatam37wrfc4",
      "schedule": {
        "frequency": "weekly",
        "by_day": [
          "monday"
        ]
      }
    },
    "_links": {
      "self": {
        "href": "https://{prefix}.api.checkout.com/accounts/entities/ent_wxglze3wwywujg4nna5fb7ldli"
      }
    }
  }
}

Update a sub-entity's payout schedule

You can schedule when your sub-entities receive their funds using our Platforms solution. Use this endpoint to update a sub-entity's schedule.

Path Parameters
  • id
    Type: string
    required

    The ID of the sub-entity

Body
required
application/json
    • ISO
      Type: object

      The three-letter ISO currency code of the account's currency.

Responses
  • application/json
  • 401

    Unauthorized

  • application/json
  • 429

    Too many requests

Request Example for put/accounts/entities/{id}/payout-schedules
curl 'https://{prefix}.api.sandbox.checkout.com/accounts/entities/ent_w4jelhppmfiufdnatam37wrfc4/payout-schedules' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "ISO": {
    "enabled": true,
    "threshold": 100,
    "payment_instrument_id": "ppi_w4jelhppmfiufdnatam37wrfc4",
    "recurrence": {
      "frequency": "weekly",
      "by_day": [
        "monday"
      ]
    }
  }
}'
{
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/accounts/entities/ent_wxglze3wwywujg4nna5fb7ldli"
    }
  }
}